<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'EVRN_UnitDescriptiveInfoRQ' => '\\StructType\\EVRN_UnitDescriptiveInfoRQ',
            'EVRN_BaseRQType' => '\\StructType\\EVRN_BaseRQType',
            'ArrayOfSourceType' => '\\ArrayType\\ArrayOfSourceType',
            'SourceType' => '\\StructType\\SourceType',
            'RequestorID' => '\\StructType\\RequestorID',
            'BookingChannelType' => '\\StructType\\BookingChannelType',
            'CompanyNameType' => '\\StructType\\CompanyNameType',
            'TravelArrangerType' => '\\StructType\\TravelArrangerType',
            'CompanyNamePrefType' => '\\StructType\\CompanyNamePrefType',
            'UnitResRequestType' => '\\StructType\\UnitResRequestType',
            'UniqueID_Type' => '\\StructType\\UniqueID_Type',
            'UnitReservationsType' => '\\StructType\\UnitReservationsType',
            'UnitReservationType' => '\\StructType\\UnitReservationType',
            'ArrayOfUnitStaysTypeUnitStay' => '\\ArrayType\\ArrayOfUnitStaysTypeUnitStay',
            'UnitStay' => '\\StructType\\UnitStay',
            'Reference' => '\\StructType\\Reference',
            'UnitStayType' => '\\StructType\\UnitStayType',
            'UnitInsuranceInfo' => '\\StructType\\UnitInsuranceInfo',
            'ArrayOfUnitStayTypeUnitRate' => '\\ArrayType\\ArrayOfUnitStayTypeUnitRate',
            'UnitRate' => '\\StructType\\UnitRate',
            'ArrayOfEVRN_AmountType' => '\\ArrayType\\ArrayOfEVRN_AmountType',
            'EVRN_AmountType' => '\\StructType\\EVRN_AmountType',
            'AdditionalGuestAmounts' => '\\StructType\\AdditionalGuestAmounts',
            'Discount' => '\\StructType\\Discount',
            'AdditionalCharges' => '\\StructType\\AdditionalCharges',
            'AdvanceBookingRestriction' => '\\StructType\\AdvanceBookingRestriction',
            'TotalType' => '\\StructType\\TotalType',
            'TaxesType' => '\\StructType\\TaxesType',
            'TaxType' => '\\StructType\\TaxType',
            'ParagraphType' => '\\StructType\\ParagraphType',
            'ListItem' => '\\StructType\\ListItem',
            'FormattedTextTextType' => '\\StructType\\FormattedTextTextType',
            'DiscountType' => '\\StructType\\DiscountType',
            'RateDiscountType' => '\\StructType\\RateDiscountType',
            'AdditionalGuestAmountType' => '\\StructType\\AdditionalGuestAmountType',
            'ArrayOfFeeType' => '\\ArrayType\\ArrayOfFeeType',
            'FeeType' => '\\StructType\\FeeType',
            'CommissionPolicyType' => '\\StructType\\CommissionPolicyType',
            'CancelPenaltiesType' => '\\StructType\\CancelPenaltiesType',
            'CancelPenaltyType' => '\\StructType\\CancelPenaltyType',
            'Deadline' => '\\StructType\\Deadline',
            'AmountPercentType' => '\\StructType\\AmountPercentType',
            'ArrayOfRequiredPaymentsTypeGuaranteePayment' => '\\ArrayType\\ArrayOfRequiredPaymentsTypeGuaranteePayment',
            'GuaranteePayment' => '\\StructType\\GuaranteePayment',
            'Address' => '\\StructType\\Address',
            'ArrayOfPaymentFormType' => '\\ArrayType\\ArrayOfPaymentFormType',
            'PaymentFormType' => '\\StructType\\PaymentFormType',
            'Cash' => '\\StructType\\Cash',
            'LoyaltyRedemption' => '\\StructType\\LoyaltyRedemption',
            'MiscChargeOrder' => '\\StructType\\MiscChargeOrder',
            'Voucher' => '\\StructType\\Voucher',
            'BankAcctType' => '\\StructType\\BankAcctType',
            'AddressType' => '\\StructType\\AddressType',
            'StreetNmbr' => '\\StructType\\StreetNmbr',
            'BldgRoom' => '\\StructType\\BldgRoom',
            'StreetNmbrType' => '\\StructType\\StreetNmbrType',
            'StateProvType' => '\\StructType\\StateProvType',
            'CountryNameType' => '\\StructType\\CountryNameType',
            'AddressInfoType' => '\\StructType\\AddressInfoType',
            'DirectBillType' => '\\StructType\\DirectBillType',
            'CompanyName' => '\\StructType\\CompanyName',
            'PaymentCardType' => '\\StructType\\PaymentCardType',
            'CardIssuerName' => '\\StructType\\CardIssuerName',
            'TPA_Extensions_Type' => '\\StructType\\TPA_Extensions_Type',
            'AdditionalChargeType' => '\\StructType\\AdditionalChargeType',
            'GuestCountType' => '\\StructType\\GuestCountType',
            'GuestCount' => '\\StructType\\GuestCount',
            'DateTimeSpanType' => '\\StructType\\DateTimeSpanType',
            'EndDateWindow' => '\\StructType\\EndDateWindow',
            'StartDateWindow' => '\\StructType\\StartDateWindow',
            'TimeInstantType' => '\\StructType\\TimeInstantType',
            'BasicUnitInfoType' => '\\StructType\\BasicUnitInfoType',
            'Position' => '\\StructType\\Position',
            'Award' => '\\StructType\\Award',
            'ArrayOfVendorMessageType' => '\\ArrayType\\ArrayOfVendorMessageType',
            'VendorMessageType' => '\\StructType\\VendorMessageType',
            'FormattedTextType' => '\\StructType\\FormattedTextType',
            'FormattedTextSubSectionType' => '\\StructType\\FormattedTextSubSectionType',
            'ArrayOfBasicUnitInfoTypeContactNumber' => '\\ArrayType\\ArrayOfBasicUnitInfoTypeContactNumber',
            'ContactNumber' => '\\StructType\\ContactNumber',
            'UnitAmenityType' => '\\StructType\\UnitAmenityType',
            'UnitStayCandidateType' => '\\StructType\\UnitStayCandidateType',
            'ArrayOfRoomCountType' => '\\ArrayType\\ArrayOfRoomCountType',
            'RoomCountType' => '\\StructType\\RoomCountType',
            'ArrayOfBedCountType' => '\\ArrayType\\ArrayOfBedCountType',
            'BedCountType' => '\\StructType\\BedCountType',
            'PetsPoliciesType' => '\\StructType\\PetsPoliciesType',
            'PetsPolicy' => '\\StructType\\PetsPolicy',
            'UnitValueMatchType' => '\\StructType\\UnitValueMatchType',
            'RateRange' => '\\StructType\\RateRange',
            'LastMinuteDiscountRangeType' => '\\StructType\\LastMinuteDiscountRangeType',
            'ArrayOfParagraphType' => '\\ArrayType\\ArrayOfParagraphType',
            'ArrayOfDamageWaiverOptionType' => '\\ArrayType\\ArrayOfDamageWaiverOptionType',
            'DamageWaiverOptionType' => '\\StructType\\DamageWaiverOptionType',
            'Coverage' => '\\StructType\\Coverage',
            'ArrayOfResGuestRPHsTypeResGuestRPH' => '\\ArrayType\\ArrayOfResGuestRPHsTypeResGuestRPH',
            'ResGuestRPH' => '\\StructType\\ResGuestRPH',
            'ArrayOfCommentTypeComment' => '\\ArrayType\\ArrayOfCommentTypeComment',
            'Comment' => '\\StructType\\Comment',
            'ArrayOfSpecialRequestTypeSpecialRequest' => '\\ArrayType\\ArrayOfSpecialRequestTypeSpecialRequest',
            'SpecialRequest' => '\\StructType\\SpecialRequest',
            'ArrayOfServiceRPHsTypeServiceRPH' => '\\ArrayType\\ArrayOfServiceRPHsTypeServiceRPH',
            'ServiceRPH' => '\\StructType\\ServiceRPH',
            'OverriddenUnitStayRateType' => '\\StructType\\OverriddenUnitStayRateType',
            'ArrayOfServicesTypeService' => '\\ArrayType\\ArrayOfServicesTypeService',
            'Service' => '\\StructType\\Service',
            'AmountType' => '\\StructType\\AmountType',
            'AdditionalCharge' => '\\StructType\\AdditionalCharge',
            'ResCommonDetailType' => '\\StructType\\ResCommonDetailType',
            'ArrayOfMembershipTypeMembership' => '\\ArrayType\\ArrayOfMembershipTypeMembership',
            'Membership' => '\\StructType\\Membership',
            'GuaranteeType' => '\\StructType\\GuaranteeType',
            'ArrayOfGuaranteeTypeGuaranteeAccepted' => '\\ArrayType\\ArrayOfGuaranteeTypeGuaranteeAccepted',
            'GuaranteeAccepted' => '\\StructType\\GuaranteeAccepted',
            'EVRN_ResGlobalInfoType' => '\\StructType\\EVRN_ResGlobalInfoType',
            'ArrayOfUnitReservationIDsTypeUnitReservationID' => '\\ArrayType\\ArrayOfUnitReservationIDsTypeUnitReservationID',
            'UnitReservationID' => '\\StructType\\UnitReservationID',
            'ArrayOfRoutingHopTypeRoutingHop' => '\\ArrayType\\ArrayOfRoutingHopTypeRoutingHop',
            'RoutingHop' => '\\StructType\\RoutingHop',
            'ArrayOfProfilesTypeProfileInfo' => '\\ArrayType\\ArrayOfProfilesTypeProfileInfo',
            'ProfileInfo' => '\\StructType\\ProfileInfo',
            'ProfileType' => '\\StructType\\ProfileType',
            'AccessesType' => '\\StructType\\AccessesType',
            'Access' => '\\StructType\\Access',
            'PersonNameType' => '\\StructType\\PersonNameType',
            'FreeTextType' => '\\StructType\\FreeTextType',
            'CertificationType' => '\\StructType\\CertificationType',
            'CommissionInfoType' => '\\StructType\\CommissionInfoType',
            'ErrorType' => '\\StructType\\ErrorType',
            'WarningType' => '\\StructType\\WarningType',
            'CustomerType' => '\\StructType\\CustomerType',
            'Telephone' => '\\StructType\\Telephone',
            'CitizenCountryName' => '\\StructType\\CitizenCountryName',
            'CustLoyalty' => '\\StructType\\CustLoyalty',
            'EmailType' => '\\StructType\\EmailType',
            'URL_Type' => '\\StructType\\URL_Type',
            'RelatedTravelerType' => '\\StructType\\RelatedTravelerType',
            'ContactPersonType' => '\\StructType\\ContactPersonType',
            'EmployeeInfoType' => '\\StructType\\EmployeeInfoType',
            'DocumentType' => '\\StructType\\DocumentType',
            'ArrayOfString' => '\\ArrayType\\ArrayOfString',
            'PreferencesType' => '\\StructType\\PreferencesType',
            'PrefCollection' => '\\StructType\\PrefCollection',
            'CommonPrefType' => '\\StructType\\CommonPrefType',
            'NamePrefType' => '\\StructType\\NamePrefType',
            'PhonePrefType' => '\\StructType\\PhonePrefType',
            'AddressPrefType' => '\\StructType\\AddressPrefType',
            'PaymentFormPrefType' => '\\StructType\\PaymentFormPrefType',
            'InterestPrefType' => '\\StructType\\InterestPrefType',
            'InsurancePrefType' => '\\StructType\\InsurancePrefType',
            'SeatingPrefType' => '\\StructType\\SeatingPrefType',
            'TicketDistribPrefType' => '\\StructType\\TicketDistribPrefType',
            'MediaEntertainPrefType' => '\\StructType\\MediaEntertainPrefType',
            'PetInfoPrefType' => '\\StructType\\PetInfoPrefType',
            'MealPrefType' => '\\StructType\\MealPrefType',
            'LoyaltyPrefType' => '\\StructType\\LoyaltyPrefType',
            'SpecRequestPrefType' => '\\StructType\\SpecRequestPrefType',
            'RelatedTravelerPrefType' => '\\StructType\\RelatedTravelerPrefType',
            'VehicleProfileRentalPrefType' => '\\StructType\\VehicleProfileRentalPrefType',
            'LoyaltyPref' => '\\StructType\\LoyaltyPref',
            'PaymentFormPref' => '\\StructType\\PaymentFormPref',
            'CoveragePref' => '\\StructType\\CoveragePref',
            'SpecialEquipPref' => '\\StructType\\SpecialEquipPref',
            'VehicleSpecialReqPrefType' => '\\StructType\\VehicleSpecialReqPrefType',
            'VehiclePrefType' => '\\StructType\\VehiclePrefType',
            'VehicleCoreType' => '\\StructType\\VehicleCoreType',
            'VehType' => '\\StructType\\VehType',
            'VehClass' => '\\StructType\\VehClass',
            'AirlinePrefType' => '\\StructType\\AirlinePrefType',
            'FareRestrictPref' => '\\StructType\\FareRestrictPref',
            'FlightTypePref' => '\\StructType\\FlightTypePref',
            'CabinPref' => '\\StructType\\CabinPref',
            'SeatPref' => '\\StructType\\SeatPref',
            'SSR_Pref' => '\\StructType\\SSR_Pref',
            'AirportPrefType' => '\\StructType\\AirportPrefType',
            'LocationType' => '\\StructType\\LocationType',
            'EquipmentTypePref' => '\\StructType\\EquipmentTypePref',
            'EquipmentType' => '\\StructType\\EquipmentType',
            'HotelPrefType' => '\\StructType\\HotelPrefType',
            'PropertyNamePrefType' => '\\StructType\\PropertyNamePrefType',
            'PropertyLocationPrefType' => '\\StructType\\PropertyLocationPrefType',
            'PropertyTypePrefType' => '\\StructType\\PropertyTypePrefType',
            'PropertyClassPrefType' => '\\StructType\\PropertyClassPrefType',
            'PropertyAmenityPrefType' => '\\StructType\\PropertyAmenityPrefType',
            'RoomAmenityPrefType' => '\\StructType\\RoomAmenityPrefType',
            'RoomLocationPrefType' => '\\StructType\\RoomLocationPrefType',
            'BedTypePrefType' => '\\StructType\\BedTypePrefType',
            'FoodSrvcPrefType' => '\\StructType\\FoodSrvcPrefType',
            'RecreationSrvcPrefType' => '\\StructType\\RecreationSrvcPrefType',
            'BusinessSrvcPrefType' => '\\StructType\\BusinessSrvcPrefType',
            'PersonalSrvcPrefType' => '\\StructType\\PersonalSrvcPrefType',
            'SecurityFeaturePrefType' => '\\StructType\\SecurityFeaturePrefType',
            'PhysChallFeaturePrefType' => '\\StructType\\PhysChallFeaturePrefType',
            'OtherSrvcPrefType' => '\\StructType\\OtherSrvcPrefType',
            'CompanyInfoType' => '\\StructType\\CompanyInfoType',
            'TelephoneInfoType' => '\\StructType\\TelephoneInfoType',
            'LoyaltyProgramType' => '\\StructType\\LoyaltyProgramType',
            'AffiliationsType' => '\\StructType\\AffiliationsType',
            'OrganizationType' => '\\StructType\\OrganizationType',
            'OrgMemberName' => '\\StructType\\OrgMemberName',
            'EmployerType' => '\\StructType\\EmployerType',
            'TravelClubType' => '\\StructType\\TravelClubType',
            'ClubMemberName' => '\\StructType\\ClubMemberName',
            'InsuranceType' => '\\StructType\\InsuranceType',
            'AgreementsType' => '\\StructType\\AgreementsType',
            'AllianceConsortiumType' => '\\StructType\\AllianceConsortiumType',
            'AllianceMember' => '\\StructType\\AllianceMember',
            'PropertyManagerType' => '\\StructType\\PropertyManagerType',
            'ServiceFeeType' => '\\StructType\\ServiceFeeType',
            'ResGlobalInfoType' => '\\StructType\\ResGlobalInfoType',
            'ArrayOfHotelReservationIDsTypeHotelReservationID' => '\\ArrayType\\ArrayOfHotelReservationIDsTypeHotelReservationID',
            'HotelReservationID' => '\\StructType\\HotelReservationID',
            'ArrayOfResGuestsTypeResGuest' => '\\ArrayType\\ArrayOfResGuestsTypeResGuest',
            'ResGuest' => '\\StructType\\ResGuest',
            'ArrayOfResGuestsTypeResGuestProfileRPH' => '\\ArrayType\\ArrayOfResGuestsTypeResGuestProfileRPH',
            'ProfileRPH' => '\\StructType\\ProfileRPH',
            'TransportInfoType' => '\\StructType\\TransportInfoType',
            'TransportInfo' => '\\StructType\\TransportInfo',
            'WrittenConfInstType' => '\\StructType\\WrittenConfInstType',
            'ArrayOfUnitDescriptiveInfoRequestType' => '\\ArrayType\\ArrayOfUnitDescriptiveInfoRequestType',
            'UnitDescriptiveInfoRequestType' => '\\StructType\\UnitDescriptiveInfoRequestType',
            'UnitInfo' => '\\StructType\\UnitInfo',
            'Policies' => '\\StructType\\Policies',
            'UnitReviews' => '\\StructType\\UnitReviews',
            'Promotions' => '\\StructType\\Promotions',
            'UnitDescriptiveInfoStream' => '\\StructType\\UnitDescriptiveInfoStream',
            'EVRN_UnitCalendarAvailBatchRQ' => '\\StructType\\EVRN_UnitCalendarAvailBatchRQ',
            'ArrayOfCalendarAvailType' => '\\ArrayType\\ArrayOfCalendarAvailType',
            'CalendarAvailType' => '\\StructType\\CalendarAvailType',
            'EVRN_UnitCalendarAvailBatchRS' => '\\StructType\\EVRN_UnitCalendarAvailBatchRS',
        );
    }
}
