<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for EVRN_UnitDescriptiveInfoRQ StructType
 * @subpackage Structs
 */
class EVRN_UnitDescriptiveInfoRQ extends EVRN_BaseRQType
{
    /**
     * The UnitDescriptiveInfos
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfUnitDescriptiveInfoRequestType
     */
    public $UnitDescriptiveInfos;
    /**
     * The SummaryOnly
     * Meta information extracted from the WSDL
     * - default: false
     * @var bool
     */
    public $SummaryOnly;
    /**
     * Constructor method for EVRN_UnitDescriptiveInfoRQ
     * @uses EVRN_UnitDescriptiveInfoRQ::setUnitDescriptiveInfos()
     * @uses EVRN_UnitDescriptiveInfoRQ::setSummaryOnly()
     * @param \ArrayType\ArrayOfUnitDescriptiveInfoRequestType $unitDescriptiveInfos
     * @param bool $summaryOnly
     */
    public function __construct(\ArrayType\ArrayOfUnitDescriptiveInfoRequestType $unitDescriptiveInfos = null, $summaryOnly = false)
    {
        $this
            ->setUnitDescriptiveInfos($unitDescriptiveInfos)
            ->setSummaryOnly($summaryOnly);
    }
    /**
     * Get UnitDescriptiveInfos value
     * @return \ArrayType\ArrayOfUnitDescriptiveInfoRequestType|null
     */
    public function getUnitDescriptiveInfos()
    {
        return $this->UnitDescriptiveInfos;
    }
    /**
     * Set UnitDescriptiveInfos value
     * @param \ArrayType\ArrayOfUnitDescriptiveInfoRequestType $unitDescriptiveInfos
     * @return \StructType\EVRN_UnitDescriptiveInfoRQ
     */
    public function setUnitDescriptiveInfos(\ArrayType\ArrayOfUnitDescriptiveInfoRequestType $unitDescriptiveInfos = null)
    {
        $this->UnitDescriptiveInfos = $unitDescriptiveInfos;
        return $this;
    }
    /**
     * Get SummaryOnly value
     * @return bool|null
     */
    public function getSummaryOnly()
    {
        return $this->SummaryOnly;
    }
    /**
     * Set SummaryOnly value
     * @param bool $summaryOnly
     * @return \StructType\EVRN_UnitDescriptiveInfoRQ
     */
    public function setSummaryOnly($summaryOnly = false)
    {
        // validation for constraint: boolean
        if (!is_null($summaryOnly) && !is_bool($summaryOnly)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($summaryOnly, true), gettype($summaryOnly)), __LINE__);
        }
        $this->SummaryOnly = $summaryOnly;
        return $this;
    }
}
