<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Policies StructType
 * @subpackage Structs
 */
class Policies extends AbstractStructBase
{
    /**
     * The SendPolicies
     * Meta information extracted from the WSDL
     * - default: true
     * @var bool
     */
    public $SendPolicies;
    /**
     * Constructor method for Policies
     * @uses Policies::setSendPolicies()
     * @param bool $sendPolicies
     */
    public function __construct($sendPolicies = true)
    {
        $this
            ->setSendPolicies($sendPolicies);
    }
    /**
     * Get SendPolicies value
     * @return bool|null
     */
    public function getSendPolicies()
    {
        return $this->SendPolicies;
    }
    /**
     * Set SendPolicies value
     * @param bool $sendPolicies
     * @return \StructType\Policies
     */
    public function setSendPolicies($sendPolicies = true)
    {
        // validation for constraint: boolean
        if (!is_null($sendPolicies) && !is_bool($sendPolicies)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($sendPolicies, true), gettype($sendPolicies)), __LINE__);
        }
        $this->SendPolicies = $sendPolicies;
        return $this;
    }
}
