<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SpecialEquipPref StructType
 * @subpackage Structs
 */
class SpecialEquipPref extends AbstractStructBase
{
    /**
     * The Action
     * @var string
     */
    public $Action;
    /**
     * Constructor method for SpecialEquipPref
     * @uses SpecialEquipPref::setAction()
     * @param string $action
     */
    public function __construct($action = null)
    {
        $this
            ->setAction($action);
    }
    /**
     * Get Action value
     * @return string|null
     */
    public function getAction()
    {
        return $this->Action;
    }
    /**
     * Set Action value
     * @uses \EnumType\ActionType::valueIsValid()
     * @uses \EnumType\ActionType::getValidValues()
     * @throws \InvalidArgumentException
     * @param string $action
     * @return \StructType\SpecialEquipPref
     */
    public function setAction($action = null)
    {
        // validation for constraint: enumeration
        if (!\EnumType\ActionType::valueIsValid($action)) {
            throw new \InvalidArgumentException(sprintf('Invalid value(s) %s, please use one of: %s from enumeration class \EnumType\ActionType', is_array($action) ? implode(', ', $action) : var_export($action, true), implode(', ', \EnumType\ActionType::getValidValues())), __LINE__);
        }
        $this->Action = $action;
        return $this;
    }
}
